> ## Documentation Index
> Fetch the complete documentation index at: https://developer.energy-hub.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete all user devices and data

> Send notification for deletion of all user devices and data



## OpenAPI

````yaml delete /v1.0.0/user/{userId}
openapi: 3.0.1
info:
  description: A service used for users
  title: user-service
  version: 1.0.0
servers:
  - description: Generated server url
    url: https://api.energy-hub.io
security: []
paths:
  /v1.0.0/user/{userId}:
    delete:
      tags:
        - User Controller
      summary: Delete all user devices and data
      description: Send notification for deletion of all user devices and data
      operationId: invokeUserDevicesAndDataDeletion
      parameters:
        - schema:
            type: string
          in: path
          name: userId
          description: User ID
          required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessMessageDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessageDto'
              examples:
                UNAUTHORIZED:
                  $ref: '#/components/examples/UNAUTHORIZED'
      security:
        - API_Key: []
components:
  schemas:
    SuccessMessageDto:
      type: object
      properties:
        success:
          type: boolean
    ErrorMessageDto:
      type: object
      required:
        - errorCode
        - id
        - message
      properties:
        errorCode:
          description: The error code
          type: string
          example: EXAMPLE_ERROR_CODE
        id:
          format: uuid
          description: The error identifier
          type: string
          example: 7958818d-64d2-4ede-b12b-4786dd2f348b
        message:
          description: The error message
          type: string
          example: Example error message
  examples:
    UNAUTHORIZED:
      value:
        errorCode: UNAUTHORIZED
        id: da38220f-603e-49cc-8d69-641fb91b9cad
        message: Unauthorized
  securitySchemes:
    API_Key:
      in: header
      name: X-API-KEY
      description: API key used for authorization and authentication.
      type: apiKey

````